Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaMappedSuperclass

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaManagedClass
          org.apache.cayenne.jpa.map.JpaAbstractEntity
              org.apache.cayenne.jpa.map.JpaMappedSuperclass

    public class JpaMappedSuperclass

extends JpaAbstractEntity

Field Summary

Fields inherited from class org.apache.cayenne.jpa.map.JpaAbstractEntity
`entityListeners, excludeDefaultListeners, excludeSuperclassListeners, idClass, postLoad, postPersist, postRemove, postUpdate, prePersist, preRemove, preUpdate`

Fields inherited from class org.apache.cayenne.jpa.map.JpaManagedClass
`access, attributes, classDescriptor, className, description, metadataComplete`

Constructor Summary
`JpaMappedSuperclass()`

Method Summary

Methods inherited from class org.apache.cayenne.jpa.map.JpaAbstractEntity
`getEntityListeners, getIdClass, getPostLoad, getPostPersist, getPostRemove, getPostUpdate, getPrePersist, getPreRemove, getPreUpdate, isExcludeDefaultListeners, isExcludeSuperclassListeners, setEntityListeners, setExcludeDefaultListeners, setExcludeDefaultListenersTrue, setExcludeSuperclassListeners, setExcludeSuperclassListenersTrue, setIdClass, setPostLoad, setPostPersist, setPostRemove, setPostUpdate, setPrePersist, setPreRemove, setPreUpdate`

Methods inherited from class org.apache.cayenne.jpa.map.JpaManagedClass
`getAccess, getAttributes, getClassDescriptor, getClassName, getDescription, isMetadataComplete, setAccess, setAttributes, setClassDescriptor, setClassName, setDescription, setMetadataComplete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JpaMappedSuperclass

    public JpaMappedSuperclass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.